Skip to main content

sui_multiGetObjects

POST

Return the object data for a list of objects
param[0]
objectIdsarrayrequired
The IDs of the queried objects
param[1]
optionsobjectrequired
Options for specifying the content to be returned
showBcsboolean
Whether to show the content in BCS format. Default to be False
showContentboolean
Whether to show the content(i.e., package content or Move struct content) of the object. Default to be False
showDisplayboolean
Whether to show the Display metadata of the object for frontend rendering. Default to be False
showOwnerboolean
Whether to show the owner of the object. Default to be False
showPreviousTransactionboolean
Whether to show the previous transaction digest of the object. Default to be False
showStorageRebateboolean
Whether to show the storage rebate of the object. Default to be False
showTypeboolean
Whether to show the type of the object. Default to be False
Responses
jsonrpcstring
idinteger
bcsoneOf
Move object content or package content in BCS, default to be None unless SuiObjectDataOptions.showBcs is set to true
bcsBytesstringrequired
Base64 encoding
dataTypestringrequired
hasPublicTransferbooleanrequired
typestringrequired
versionstringrequired
contentoneOf
Move object content or package content, default to be None unless SuiObjectDataOptions.showContent is set to true
dataTypestringrequired
fieldsstringrequired
hasPublicTransferbooleanrequired
typestringrequired
digestobjectrequired
The Display metadata for frontend UI rendering, default to be None unless SuiObjectDataOptions.showContent is set to true This can also be None if the struct type does not have Display defined See more details in <https://forums.sui.io/t/nft-object-display-proposal/4872>
dataobject
erroroneOf
codestringrequired
object_idobjectrequired
objectIdobjectrequired
owneroneOf
The owner of this object. Default to be None unless SuiObjectDataOptions.showOwner is set to true
Object is exclusively owned by a single address, and is mutable.
AddressOwnerobjectrequired
previousTransactionobject
storageRebatestring
The amount of SUI we would rebate if this object gets deleted. This number is re-calculated each time the object is mutated based on the present storage gas price.
typestring
The type of the object. Default to be None unless SuiObjectDataOptions.showType is set to true
versionobjectrequired
erroroneOf
codestringrequired
object_idobjectrequired
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "Bad Request"
}
cURL
curl -X POST 'https://sui-mainnet.nodit.io' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{
"jsonrpc": "2.0",
"id": 1,
"method": "sui_multiGetObjects",
"params": [
[
"0x77b3482580ee8d5bdc5b824808df54bfec4fc817622e5add0e48f749f01def98",
"0x9060d87664c26a3f9a509228c21b16dc6797cf787c839a07edc03e6338421091",
"0xb37379c527753c5c8ab783f697e7b61439368cd75ebe63d633af32ffb4a022d1",
"0xee309e94ff5c9f6b02c5637f018f6ea7bed8f6c3d80f2a595c2305e12dd6d07c",
"0x29bc7c8d230db3b417edb1184cf075da5e934f672d3da3e003d989075efaecc7"
],
{
"showBcs": false,
"showContent": true,
"showDisplay": false,
"showOwner": true,
"showPreviousTransaction": true,
"showStorageRebate": true,
"showType": true
}
]
}'